/*******************************************************************
*  PAINT.HXX
*  (c) 1992-1994 STAR DIVISION
*******************************************************************/

#ifndef _PAINT_HXX
#define _PAINT_HXX

#ifndef _SV_HXX
#include <sv.hxx>
#endif

// --- class PaintApp ----------------------------------------------

class PaintApp : public MDIApplication
{
private:
    MenuBar*        pInitMenu;
    MenuBar*        pAppMenu;

public:
    virtual void    Main( int, char*[] );

    void            SetInitMenu();
    void            SetAppMenu();
    MenuBar*        GetInitMenu() const { return pInitMenu; }
    MenuBar*        GetAppMenu() const { return pAppMenu; }
};

// --- class StatusLine --------------------------------------------

class StatusLine : public StatusBar
{
private:
    International   aIntn;

public:
                    StatusLine( Window* pParent );

    void            IdleHdl( void* );
};

// --- class PaintAppWin -------------------------------------------

class PaintAppWin : public WorkWindow
{
private:
    ToolBox         aBox;
    StatusLine      aStatus;
    USHORT          nBoxHeight;
    USHORT          nBarHeight;

public:
                    PaintAppWin();
                    ~PaintAppWin();

    virtual void    Resize();
    virtual BOOL    Close();

    long            ActivateHdl( Menu* pMenu );
    long            DeactivateHdl( Menu* pMenu );
    long            HighlightHdl( Menu* pMenu );
    long            SelectHdl( Menu* pMenu );

    void            ActivateBoxHdl( ToolBox* pBox );
    void            DeactivateBoxHdl( ToolBox* pBox );
    void            HighlightBoxHdl( ToolBox* pBox );
    void            SelectBoxHdl( ToolBox* pBox );

    void            Open();
    BOOL            Command( USHORT nId );

    ToolBox*        GetToolBox() { return &aBox; }
};

#endif // _PAINT_HXX
